package com.energy.manage.common.po.autoanalysisconfigdetail;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: chy
 * @Date: 2025/3/27 09:38
 * @Description:自动分析配置
 */

@Data
@Accessors(chain = true)
@Table(name = "auto_analysis_config_detail")
public class AutoAnalysisConfigDetailPo {

    /**
     * 主键
     */
    @Id
    private Long id;

    /**
     * 风场编码
     */
    private String fieldCode;

    /**
     * 间隔天数
     */
    private Integer intervalDays;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 是否开启 0：关闭 1：开启
     */
    private Integer startupState;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 配置唯一标识
     */
    private String configUniqueId;


}
