package com.energy.manage.common.po.autoanalysisconfigdetailoptionrecords;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chy
 * @Date: 2025/3/27 09:34
 * @Description: 自动分析操作记录表
 *
 */

@Data
@Accessors(chain = true)
@Table(name = "auto_analysis_config_detail_option_records")
public class AutoAnalysisConfigDetailOptionRecordsPo {

    /**
     * 唯一标识
     */
    private Integer id;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 原始间隔天数
     */
    private Integer sourceIntevalDays;

    /**
     * 原始开始时间
     */
    private Date sourceStartTime;

    /**
     * 原始启动状态 0：关闭 1：开启
     */
    private Integer sourceStartupState;

    /**
     * 操作标识 0:新增 1：编辑 2：关停 3:启动
     */
    private Integer optionFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 配置唯一标识
     */
    private String configUniqueId;


}
