package com.energy.manage.service.controller.analysispriority;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.config.annotations.UserLoginToken;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.service.analysispriority.AnalysisPriorityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chy
 * @date 2025/2/12 15:35
 * @desc
 */
@Api(value = "AnalysisPriorityController",tags = "分析优先级")
@Slf4j
@RestController
@RequestMapping("/analysisPriority")
public class AnalysisPriorityController extends BaseServiceController {

    @Autowired
    private AnalysisPriorityService analysisPriorityService;


    @UserLoginToken
    @ApiOperation(value = "插队")
    @PostMapping("/editPriority")
    public ResultResp editPriority(@RequestParam(value = "batchCode") String batchCode,
                                   @RequestParam(value = "priority") Integer priority)
    {
        return success(analysisPriorityService.editPriority(batchCode,priority));
    }
}
