package com.energy.manage.service.domain.dto.windfield;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 导入参数
 */
@Getter
@Setter
@ApiModel("导入参数")
public class WindFieldPageDto extends BaseDto {


    /**
     * 企业编号
     */
    @ApiModelProperty("企业编号")
    private String companyCode;
    /**
     * 所属公司名称
     */
    @ApiModelProperty("所属公司名称")
    private String companyName;
    /**
     * 省编号
     */
    @ApiModelProperty("省编号")
    private Integer provinceId;
    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;
    /**
     * 市编号
     */
    @ApiModelProperty("市编号")
    private Integer cityId;
    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;

    /**
     * 风场名称
     */
    @ApiModelProperty("风场名称")
    private String fieldName;

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    private Integer userId;

    private Integer roleId;


}
