package com.energy.manage.service.domain.vo.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 分析结果图文关系表
 * @author chy
 * @date 2024/5/23 12:52
 * @desc
 */
@Data
public class AnalysisDiagramRelationVo {


    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 风机编号
     */
    private String fieldEngineCode ;

    /**
     * 风机名称
     */
    private String fieldEngineName ;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode ;

    /**
     * 分析类型名称
     */
    private String analysisTypeName ;

    /**
     * 分析结果地址minio
     */
    private String fileAddr ;

    /**
     * 是否自动分析 0: 不自动分析 1: 自动分析
     */
    private Integer autoAnalysis ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;
}
