package com.energy.manage.service.domain.vo.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2025/3/27 09:52
 * @desc
 */
@Data
@Accessors(chain = true)
public class AutoAnalysisConfigDetailVo {


    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编码
     */
    private String fieldCode;

    /**
     * 间隔天数
     */
    private Integer intervalDays;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 是否开启 0：关闭 1：开启
     */
    private Integer startupState;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 配置唯一标识
     */
    private String configUniqueId;
}
