package com.energy.manage.service.domain.vo.homepage;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2025/2/12 17:04
 * @desc
 */
@Data
@Accessors(chain = true)
public class FloatingWindowInfoVo {

    /**
     * 风机总数
     */
    private Integer engineTotalCount;

    /**
     * 场装机容量
     */
    private String ratedCapacityNumber;

    /**
     * 分析类型数量
     */
    private Integer analysisTypeCount = 0;

    /**
     * 分析开始时间
     */
    private Date analysisStartTime;

    /**
     * 分析时间
     */
    private Date analysisEndTime;

    /**
     * 数据开始时间
     */
    private Date dataStartTime;

    /**
     * 数据结束时间
     */
    private Date dataEndTime;
}
