package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisOptionRecordsPo;
import com.energy.manage.service.domain.vo.analysis.AnalysisOptionRecordsVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/6/15 14:15
 * @desc
 */
@Repository
public interface AnalysisOptionRecordsMapper extends MyMapper<AnalysisOptionRecordsPo> {


    List<AnalysisOptionRecordsVo> selectAllByTimeDesc(@Param("fieldCodes") List<String> fieldCodes,
                                                      @Param("startTime") String startTime,
                                                      @Param("endTime") String endTime);
}
