package com.energy.manage.service.service.datatransfertype.impl;

import com.energy.manage.service.domain.vo.datatransfer.DataTransferTypeVo;
import com.energy.manage.service.mappers.datatransfertype.DataTransferTypeMapper;
import com.energy.manage.service.service.datatransfertype.DataTransferTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chy
 * @date 2025/1/7 10:52
 * @desc
 */

@Service
public class DataTransferTypeServiceImpl implements DataTransferTypeService {

    @Autowired
    private DataTransferTypeMapper dataTransferTypeMapper;


    /**
     * 查询所有数据转换类型
     *
     * @return
     */
    @Override
    public List<DataTransferTypeVo> queryAllType() {
        return dataTransferTypeMapper.selectAllInfo();
    }
}
