package com.energy.manage.service.task;

import com.energy.manage.service.service.analysis.AutoAnalysisService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 自动分析定时任务(在线数据自动分析)
 * @author chy
 * @date 2024/6/2 21:35
 * @desc
 */
@Slf4j
@Component
public class AutoAnalysisTask {

    @Autowired
    private AutoAnalysisService autoAnalysisService;

    /**
     * 自动分析
     */
    @XxlJob(value = "autoAnalysis")
    void autoAnalysis() {
        autoAnalysisService.autoAnalysis();
    }

}
