package com.energy.manage.common.po.analysisdatarelationrecords;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;


@Table(name = "analysis_data_relation_records")
@Data
@Accessors(chain = true)
public class AnalysisDataRelationRecordsPo {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 批次编号
     */
    private String dataBatchNum;

    /**
     * 风场编号
     */
    private String powerFarmID;

    /**
     * 数据开始时间
     */
    private String beginTime;

    /**
     * 数据结束时间
     */
    private String endTime;

    /**
     * 过滤月份
     */
    private String excludingMonths;

    /**
     * 创建时间
     */
    private Date cretateTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 分析类型标识
     */
    private String configAnalysis;

    /**
     * 风机编号
     */
    private String turbines;

    /**
     * 风速
     */
    private String valueWindSpeed;

    /**
     * 桨距角
     */
    private String valuePitchAngle;

    /**
     * 用功功率
     */
    private String valueActivePower;

    /**
     * 风机转速
     */
    private String valueGeneratorSpeed;

    /**
     * 关联任务id
     */
    private String taskId;

    /**
     * 手动/自动分析
     */
    private String autoOrManual;

}
