package com.energy.manage.common.po.autoanalysisconfigrelations;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Table(name = "auto_analysis_config_relations")
@Data
@Accessors(chain = true)
public class AutoAnalysisConfigRelationsPo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 配置唯一标识
     */
    private String configUniqueId;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;


}
