package com.energy.manage.service.constant.analysis;

import java.util.Arrays;
import java.util.List;

/**
 * @author chy
 * @date 2024/5/31 09:46
 * @desc
 */
public interface AnalysisConstants {

    /**
     * 分析类型父节点key属性名
     */
    String ANALYSIS_TYPE_PARRENT_KEY = "parentId";

    /**
     * 分析类型节点key属性名
     */
    String ANALYSIS_TYPE_KEY = "id";

    /**
     * 算法服务器数量
     */
     int SERVER_MERCHINE_COUNT = 3;

    /**
     * 自动分析标识
     */
    String AUTO_ANALYSIS = "automatic";

    /**
     * 手动分析标识
     */
    String MANUAL_ANALYSIS = "manual";

    /**
     * 分析类型中数据源属性名称
     */
    String SCADA = "scada";

    /**
     * 有功功率轴系设置
     */
    List<Double> ACTIVITY_POWER = Arrays.asList(250.0, 0.0,2000.0);

    /**
     * 路径分隔符
     */
    String PATH_SEPARATOR = "/";


    /**
     * 放置minio 文件下载的目录
     */
    String FILE_DIR = "file";


    /**
     * 放置minio 文件下载的目录
     */
    String ZIP_DIR = "zip";


    /**
     * 放置minio 文件下载的目录
     */
    String ZIP_SUFFIX = ".zip";


    String IMAGE_SUFFIX = ".png";

    /**
     * 已执行状态/或开启状态
     */
    Integer ON_CALL = 1;

    /**
     * 自动分析标识
     */
    Integer ANALYSIS_AUTO = 1;

    /**
     * 分钟级
     */
    String MINUTE = "minute";

    /**
     * 秒级
     */
    String SECEND = "second";

    /**
     * 字符分隔符
     */
    String CHAR_SEPARATOR = "|";


    /**
     * 字符分隔符(转义符)
     */
    String CHAR_ESCAPE_SEPARATOR = "\\|";

    /**
     * 自动主题
     */
    String AUTO_ANALYSIS_NAME = "自动分析";

}
