package com.energy.manage.service.domain.vo.cockpit;

import com.energy.manage.service.domain.vo.analysis.AnalysisInfoVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2025/1/13 14:07
 * @desc
 */
@Data
@Accessors(chain = true)
public class CompanyFieldAndBatchTreeVo {

    /**
     * 公司/风场名称
     */
    private String fieldOrCompanyName;

    /**
     * 公司/风场编号
     */
    private String codeNumber;


    /**
     * 公司/风场类型 取值：field/company
     */
    private String codeType;

    /**
     * 父类code
     */
    private String parentCode;

    /**
     * 批次信息
     */
    private List<AnalysisInfoVo> batchCodes;
}
