package com.energy.manage.service.domain.vo.cockpit;

import com.energy.manage.service.domain.vo.analysis.AnalysisInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@ApiModel
public class CompanyFieldTreeRoleVo {

    @ApiModelProperty("角色id")
    private Integer roleId;
    @ApiModelProperty("编号code")
    private String codeNumber;
    @ApiModelProperty("父编号code")
    private String parentCode;
    @ApiModelProperty("code类型")
    private String codeType;
    @ApiModelProperty("企业名称")
    private String companyName;
    @ApiModelProperty("风场名称")
    private String fieldName;
    @ApiModelProperty("经度")
    private Double longitude;
    @ApiModelProperty("纬度")
    private Double latitude;
    @ApiModelProperty("空气密度")
    private Double density;
    @ApiModelProperty("总额定容量")
    private Double ratedCapacityNumber;
    @ApiModelProperty("海拔高度")
    private Double elevationHeight;
    @ApiModelProperty("批次code")
    private String batchCode;
    @ApiModelProperty("批次名称")
    private String batchName;
    @ApiModelProperty("批次状态")
    private Integer analysisState = -1;
    @ApiModelProperty("经纬度拼接")
    private String longitudeAndLatitudeString;
    @ApiModelProperty("最新分析时间")
    private Date wfbrCreateTime;

}
