package com.energy.manage.service.domain.vo.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;


@Getter
@Setter
@ApiModel("风机部件品牌型号分页查询")
public class UnitDictBrandModelVo {


    @ApiModelProperty("主键id")
    private Integer id;

    //品牌
    @ApiModelProperty("品牌")
    private String manufacture;

    //型号
    @ApiModelProperty("型号")
    private  String modelNumber;

    // 滚动数量
    @ApiModelProperty("滚动数量")
    private BigDecimal rollsNumber;

    // 滚动直径
    @ApiModelProperty("滚动直径")
    private BigDecimal rollsDiameter;

    // 圆直径
    @ApiModelProperty("描圆直径述")
    private BigDecimal circleDiameter;

    // 接触角
    @ApiModelProperty("接触角")
    private BigDecimal thetaDeg;



}
