package com.energy.manage.service.domain.vo.windfield;

import com.energy.manage.common.po.windfield.WindFieldPO;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Set;

/**
 * @author chy
 * @date 2025/1/14 09:34
 * @desc
 */
@Data
@Accessors(chain = true)
public class WindFieldDescriptVo extends WindFieldPO {

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 风机数量
     */
    private Integer engineCount;

    /**
     * 风机类型
     */
    private Set<String> engineMillTypes;

}
