package com.energy.manage.service.mappers.analysisdatarelationrecords;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysisdatarelationrecords.AnalysisDataRelationRecordsPo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author: chy
 * @Date: 2025/2/11 10:02
 */
@Repository
public interface AnalysisDataRelationRecordsMapper extends MyMapper<AnalysisDataRelationRecordsPo> {


    AnalysisDataRelationRecordsPo selectByTaskId(@Param("taskId") String taskId);

    @Override
    int insertSelective(AnalysisDataRelationRecordsPo analysisDataRelationRecordsPo);

}
