package com.energy.manage.service.service.analysispriority.impl;

import com.energy.manage.service.mappers.analysispriorityrecords.AnalysisPriorityRecordsMapper;
import com.energy.manage.service.service.analysispriority.AnalysisPriorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author chy
 * @date 2025/2/12 15:41
 * @desc
 */
@Service
public class AnalysisPriorityServiceImpl implements AnalysisPriorityService {


    @Autowired
    private AnalysisPriorityRecordsMapper priorityRecordsMapper;


    /**
     * 插队
     * @param batchCode
     * @param priority
     * @return
     */
    @Override
    public int editPriority(String batchCode, Integer priority) {
        return priorityRecordsMapper.updatePriotityByBatchCode(batchCode,priority);
    }
}
