package com.energy.manage.service.service.autoanalysisconfig;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.analysis.AutoAnalysisConfigDetailDto;
import com.energy.manage.service.domain.vo.analysis.AutoAnalysisConfigDetailVo;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author chy
 * @date 2025/3/27 09:49
 * @desc
 */

public interface AutoAnalysisConfigService {


    /**
     *  查询列表
     * @param autoAnalysisConfigDetailDto
     * @return
     */
    List<AutoAnalysisConfigDetailVo> configList(AutoAnalysisConfigDetailDto autoAnalysisConfigDetailDto);


    /**
     * 保存配置
     * @param autoAnalysisConfigDetailDto
     * @return
     */
    ResultResp configSave(AutoAnalysisConfigDetailDto autoAnalysisConfigDetailDto);

    /**
     * 配置编辑
     * @param autoAnalysisConfigDetailDto
     * @return
     */
    ResultResp configEdit(AutoAnalysisConfigDetailDto autoAnalysisConfigDetailDto);

    /**
     * 启动/关闭
     * @param autoAnalysisConfigDetailDto
     * @return
     */
    ResultResp onOff(AutoAnalysisConfigDetailDto autoAnalysisConfigDetailDto);

}
